package com.chameth.yaotp

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.lifecycle.ViewModelProviders
import androidx.recyclerview.widget.LinearLayoutManager
import com.chameth.yaotp.accounts.parseUri
import com.chameth.yaotp.viewmodel.OtpListViewModel
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity() {

    private val viewModel by lazy { ViewModelProviders.of(this).get(OtpListViewModel::class.java) }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        addDummyData()

        otpList.layoutManager = LinearLayoutManager(this)
        otpList.adapter = OtpListAdapter(this, viewModel)
    }

    private fun addDummyData() {
        viewModel.addAccount(parseUri("otpauth://totp/Example%20123:chris@example.com?secret=UIOIPNVJA5YG3T4UYVBXQJ6AFGFWKDVU&issuer=Example%20123&algorithm=SHA1&digits=6&period=30")!!)
        viewModel.addAccount(parseUri("otpauth://hotp/Foobar%20Inc:chris@example.com?secret=UIOIPNVJA5YG3T4UYVBXQJ6AFGFWKDVU&issuer=Foobar%20Inc&algorithm=SHA1&digits=6&period=30&counter=170")!!)
    }

}
